### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-table/ecl-table.directive.ts`

### Implements

`AfterContentInit` `OnInit` `OnDestroy`

### Metadata

Selector | `[eclTableHeader]`

### Index

###### Methods
removeAriaSort
###### Inputs
eclSortable
###### Outputs
sort
###### HostBindings
attr.aria-sort class.ecl-table__header
###### HostListeners
click

### Constructor

`constructor(el: ElementRef, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No
componentFactoryResolver | `ComponentFactoryResolver` | No
viewContainerRef | `ViewContainerRef` | No

### Inputs

eclSortable
Type : `string`
Default value : `null`

### Outputs

sort
Type : `EventEmitter`

### HostBindings

attr.aria-sort
Type : `SortOrder`
Default value : `null`

class.ecl-table__header
Type : `boolean`
Default value : `true`

### HostListeners

click
`click(evt)`

### Methods

removeAriaSort
`removeAriaSort()`
Returns : `void`

# result-matching ""

# No results matching ""